#

API Docs for: 1.3.0
Show: Inherited Protected Private Deprecated

# InteractionManager Class

Defined in: `src/pixi/InteractionManager.js:7`
Module: PIXI

The interaction manager deals with mouse and touch events. Any DisplayObject can be interactive This manager also supports multitouch.

## Constructor

### `InteractionManager`

(

- `stage`

)

Defined in `src/pixi/InteractionManager.js:7`

#### Parameters:

- `stage` Stage

- Index
- Methods
- Properties

## Item Index

### Methods

- autoDetectRenderer static

### Properties

- mouse
- stage
- touchs

## Methods

### `autoDetectRenderer`

(

- `width`
- `height`
- `view`
- `transparent`

)
static

Defined in `src/pixi/utils/Detector.js:5`

This helper function will automatically detect which renderer you should be using. WebGL is the preferred renderer as it is a lot fastest. If webGL is not supported by the browser then this function will return a canvas renderer

#### Parameters:

- `width` Number

  the width of the renderers view

- `height` Number

  the height of the renderers view

- `view` Canvas

  the canvas to use as a view, optional

- `transparent` Boolean

  the transparency of the render view, default false

## Properties

### `mouse`

InteractionData

Defined in `src/pixi/InteractionManager.js:30`

the mouse data

### `stage`

Stage

Defined in `src/pixi/InteractionManager.js:17`

a refference to the stage

### `touchs`

Object

Defined in `src/pixi/InteractionManager.js:37`

an object that stores current touches (InteractionData) by id reference